#include <stdio.h>
#include "header.h"

void parse_args(int argc, char *argv[]){
  if(argc != 19){
    printf("Usage: %s UNDERLIERS TIMESLICES STRIKE INITIAL EXPIRATION INTEREST\n",argv[0]);
    printf("DIVIDEND VARIANCE POINTS MINPOINTS POWER PROBCUTOFF MAXIGNORE REPETITIONS\n");
    printf("PATHS CEURO EURO_UNDERLIER TOL\n");
    exit(1);
  }
  
  sscanf(argv[1],"%i",&UNDERLIERS);
  sscanf(argv[2],"%i",&TIMESLICES);
  sscanf(argv[3],"%lf",&STRIKE);
  sscanf(argv[4],"%lf",&INITIAL);
  sscanf(argv[5],"%lf",&EXPIRATION);
  sscanf(argv[6],"%lf",&INTEREST); INTEREST = INTEREST*EXPIRATION/(double)(TIMESLICES-1.0);
  sscanf(argv[7],"%lf",&DIVIDEND); DIVIDEND = DIVIDEND*EXPIRATION/(double)(TIMESLICES-1.0);
  sscanf(argv[8],"%lf",&VARIANCE); VARIANCE = VARIANCE*EXPIRATION/(double)(TIMESLICES-1.0);
  sscanf(argv[9],"%i",&POINTS);
  sscanf(argv[10],"%i",&MINPOINTS);
  sscanf(argv[11],"%lf",&POWER);
  sscanf(argv[12],"%lf",&PROBCUTOFF);
  sscanf(argv[13],"%i",&MAXIGNORE);
  sscanf(argv[14],"%i",&REPETITIONS);
  sscanf(argv[15],"%i",&PATHS);
  sscanf(argv[16],"%i",&CEURO);
  sscanf(argv[17],"%i",&EURO_UNDERLIER);
  sscanf(argv[18],"%lf",&TOL);

  printf("UNDERLIERS  : %i (%i max)\n",UNDERLIERS, UNDERLIERS_SIZE);
  printf("TIMESLICES  : %i (%i max)\n",TIMESLICES, TIMESLICES_SIZE);
  printf("STRIKE      : %lf\n",STRIKE);
  printf("INITIAL     : %lf\n",INITIAL);
  printf("EXPIRATION  : %lf\n",EXPIRATION);
  printf("INTERSET    : %lf per period, %lf per timeslice\n",(double)(TIMESLICES-1.0)*INTEREST/EXPIRATION,INTEREST);
  printf("DIVIDEND    : %lf per period, %lf per timeslice\n",(double)(TIMESLICES-1.0)*DIVIDEND/EXPIRATION,DIVIDEND);
  printf("VARIANCE    : %lf per period, %lf per timeslice\n",(double)(TIMESLICES-1.0)*VARIANCE/EXPIRATION,VARIANCE);
  printf("POINTS      : %i (%i max)\n",POINTS,POINTS_SIZE);
  printf("MINPOINTS   : %i\n",MINPOINTS);
  printf("POWER       : %lf\n",POWER);
  printf("PROBCUTOFF  : %lf\n",PROBCUTOFF);
  printf("MAXIGNORE   : %i\n",MAXIGNORE);
  printf("REPETITIONS : %i\n",REPETITIONS);
  printf("PATHS       : %i\n",PATHS);
  printf("CEURO       : %i\n",CEURO);
  printf("EURO_UNDERLIER       : %i\n",EURO_UNDERLIER);
  printf("EURO MC TOL       : %lf\n",TOL);
  if (CEURO == 0) EURO_UNDERLIER=2;
}
